<!DOCTYPE html>
<head>
    <title>Tambah Note</title>
</head>
<style>
  body{
    background: #afd275;
    margin: 0;
}  

.form {
  font-family: "Source Sans Pro", sans-serif;
  font-size: 16px;
  background: #c2b9b0;
  /* biar ditengah */
  margin: 25px auto;
  max-width: 450px;
  padding: 30px;
  box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.form * {
  box-sizing: border-box;
}

.form_title {
  font-size: 25px;
  font-weight: 600;
  text-align: center;
  margin-bottom: 10px;
}

/* untuk merapihkan kolom-kolom tiap formnya */
.form_item {
  display: flex;
  flex-direction: column; /* untuk memberi jarak antar field*/

}

.form_item > * {
  align-self: flex-start;
}

.form_label {
  font-weight: 600;
  padding: 10px 0;
}

.form_input {
    /* panjang kotak fieldnya */
  width: 100%; 
  max-width: 500px;

  /* tinggi kotaknya */
  min-height: 3em;

  padding: 0.8em;
  font-size: 0.9em;
  font-family: "Source Sans Pro", sans-serif;

  /* buat pinggiran bingkainya */
  border: 1px solid #dddddd;
  /* buat pojokannya biar tidak siku-siku */
  border-radius: 4px;
  background: #f9f9f9;
}

/* buat warna placeholder biar agak samar */
.form_input::placeholder {
  color: #bbbbbb;
}

/* tinggi textareanya */
textarea.form_input {
  min-height: 200px;
  resize: vertical;
}

.form_btn {
  font-family: "Source Sans Pro", sans-serif;
  font-weight: 600;
  font-size: 1.1em;
  padding: 10px 16px;
  margin: 10px 0;

  color: #ffffff;
  background: #e7717d;
  border: 2px solid #7e685a;
  border-radius: 5px;

  /* biar pas pointernya di atas btnnya, langsung berubah */
  cursor: pointer;
}

/* biar pas diklik berunah warnanya */
.form_btn:active {
  background: #c38d9e;
}

.form_btn:hover {
        box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
    }

.nav {
    margin: auto;
        background-color: #333;
        display: flex;
        font-family: Arial, Helvetica, sans-serif;
    }

    ul {
        /* agar bulletnya hilang */
        list-style-type: none;
    }

    .nav a {
        float: left;
        color: #f2f2f2;
        text-align: center;
        padding: 17px 26px;
        text-decoration: none;
        font-size: 17px;
    }

    .nav a:hover {
        background-color: #ddd;
        color: black;
    }


</style>

<body>
    <header>
        <nav>
          <ul class="nav">
              <li><a href="http://127.0.0.1:8000/lab-4/add-note">Add Note</a></li>
              <li><a href="http://127.0.0.1:8000/lab-4/note-list">Note List</a></li>
              <li><a href="http://127.0.0.1:8000/lab-4/">Note Table</a></li>
            </ul>
        </nav>
    </header>
    <!-- Buat form tambah teman -->
        <form class="form" action="" method="POST">
            {% csrf_token %}
            <div class="form_title">Isi Data untuk Mengirim Note</div>
            <div class="form_item">
                <label for="to" class="form_label">To</label>
                {{form.to}} 
                <label for="from" class="form_label">From</label>
                {{form.fromm}}
                <label for="title" class="form_label">Title</label>
                {{form.title}}
                <label for="message" class="form_label">Message</label>
                {{form.message}}
            </div>
            <div class="form_item">
                <button class="form_btn" type="submit">Add</button>
            </div>
        </form>
</body>
</html>